Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoRangeExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoRangeExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoRangeExpressions.cs	(revision 14908)
@@ -57,5 +57,5 @@
     public CodeDoRangeExpression(LoopState state) : base(state) { }
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.CodeStack);
+      return Eval(interpreter, interpreter.CodeStack);
     }
 
@@ -99,5 +99,5 @@
     public ExecDoRangeExpression(LoopState state) : base(state) { }
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.ExecStack);
+      return Eval(interpreter, interpreter.ExecStack);
     }
     protected override LoopExpression Clone(LoopState state, IInternalPushInterpreter interpreter) {
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoTimesExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoTimesExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DoTimesExpressions.cs	(revision 14908)
@@ -23,5 +23,5 @@
 
     protected override void PushIteration(IInternalPushInterpreter interpreter) {
-      var newState = LoopState.Create(interpreter.PoolContainer.LoopStatePool, State.Body, State.CurrentIndex + this.State.Incrementor, State.DestinationIndex, State.Incrementor);
+      var newState = LoopState.Create(interpreter.PoolContainer.LoopStatePool, State.Body, State.CurrentIndex + State.Incrementor, State.DestinationIndex, State.Incrementor);
       var nextLoopExpression = Clone(newState, interpreter);
 
@@ -30,5 +30,5 @@
 
     protected override void PushLastIteration(IInternalPushInterpreter interpreter) {
-      interpreter.ExecStack.Push(this.State.Body);
+      interpreter.ExecStack.Push(State.Body);
     }
   }
@@ -47,5 +47,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.CodeStack);
+      return Eval(interpreter, interpreter.CodeStack);
     }
 
@@ -74,5 +74,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter, interpreter.ExecStack);
+      return Eval(interpreter, interpreter.ExecStack);
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DuplicateExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DuplicateExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/DuplicateExpressions.cs	(revision 14908)
@@ -24,5 +24,5 @@
   public class IntegerDuplicateExpression : DuplicateExpression<long> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.IntegerStack);
+      return Eval(interpreter.IntegerStack);
     }
   }
@@ -31,5 +31,5 @@
   public class FloatDuplicateExpression : DuplicateExpression<double> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.FloatStack);
+      return Eval(interpreter.FloatStack);
     }
   }
@@ -38,5 +38,5 @@
   public class BooleanDuplicateExpression : DuplicateExpression<bool> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.BooleanStack);
+      return Eval(interpreter.BooleanStack);
     }
   }
@@ -45,5 +45,5 @@
   public class NameDuplicateExpression : DuplicateExpression<string> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.NameStack);
+      return Eval(interpreter.NameStack);
     }
   }
@@ -52,5 +52,5 @@
   public class ExecDuplicateExpression : DuplicateExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.ExecStack);
+      return Eval(interpreter.ExecStack);
     }
   }
@@ -59,5 +59,5 @@
   public class CodeDuplicateExpression : DuplicateExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.CodeStack);
+      return Eval(interpreter.CodeStack);
     }
   }
@@ -66,5 +66,5 @@
   public class IntegerVectorDuplicateExpression : DuplicateExpression<List<long>> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.IntegerVectorStack);
+      return Eval(interpreter.IntegerVectorStack);
     }
   }
@@ -73,5 +73,5 @@
   public class FloatVectorDuplicateExpression : DuplicateExpression<List<double>> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.FloatVectorStack);
+      return Eval(interpreter.FloatVectorStack);
     }
   }
@@ -80,5 +80,5 @@
   public class BooleanVectorDuplicateExpression : DuplicateExpression<List<bool>> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.BooleanVectorStack);
+      return Eval(interpreter.BooleanVectorStack);
     }
   }
@@ -87,5 +87,5 @@
   public class StringVectorDuplicateExpression : DuplicateExpression<List<string>> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.StringVectorStack);
+      return Eval(interpreter.StringVectorStack);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/Expression.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/Expression.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/Expression.cs	(revision 14908)
@@ -25,5 +25,5 @@
 
     public override string ToString() {
-      return this.StringRepresentation;
+      return StringRepresentation;
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/LoopExpression.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/LoopExpression.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/LoopExpression.cs	(revision 14908)
@@ -46,10 +46,10 @@
       var hash = 19;
 
-      if (this.Body != null)
-        hash = hash * 31 + this.Body.GetHashCode();
+      if (Body != null)
+        hash = hash * 31 + Body.GetHashCode();
 
-      hash = hash * 31 + this.CurrentIndex.GetHashCode();
-      hash = hash * 31 + this.DestinationIndex.GetHashCode();
-      hash = hash * 31 + this.Incrementor.GetHashCode();
+      hash = hash * 31 + CurrentIndex.GetHashCode();
+      hash = hash * 31 + DestinationIndex.GetHashCode();
+      hash = hash * 31 + Incrementor.GetHashCode();
 
       return hash;
@@ -64,8 +64,8 @@
     protected bool Eval(IInternalPushInterpreter interpreter, IPushStack<Expression> sourceStack, bool pushCurrentIndex = false) {
       // if not initialized
-      if (this.State.Body == null) {
-        if (this.HasInsufficientArguments(interpreter, sourceStack)) return false;
+      if (State.Body == null) {
+        if (HasInsufficientArguments(interpreter, sourceStack)) return false;
 
-        var state = this.InitState(interpreter, sourceStack);
+        var state = InitState(interpreter, sourceStack);
         var initLoopExpression = Clone(state, interpreter);
 
@@ -75,10 +75,10 @@
 
       // if loop end reached
-      if (this.State.DestinationIndex == this.State.CurrentIndex) {
-        this.PushLastIteration(interpreter);
+      if (State.DestinationIndex == State.CurrentIndex) {
+        PushLastIteration(interpreter);
         return true;
       }
 
-      this.PushIteration(interpreter);
+      PushIteration(interpreter);
 
       return true;
@@ -100,5 +100,5 @@
 
     protected virtual void PushIteration(IInternalPushInterpreter interpreter) {
-      interpreter.IntegerStack.Push(this.State.CurrentIndex);
+      interpreter.IntegerStack.Push(State.CurrentIndex);
 
       var newState = LoopState.Create(
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushExpressions.cs	(revision 14908)
@@ -10,9 +10,9 @@
 
     protected bool Eval(IPushStack<T> stack) {
-      stack.Push(this.State);
+      stack.Push(State);
       return true;
     }
 
-    public override string StringRepresentation { get { return this.State.ToString(); } }
+    public override string StringRepresentation { get { return State.ToString(); } }
   }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushProgram.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushProgram.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/PushProgram.cs	(revision 14908)
@@ -43,5 +43,5 @@
     public int Count { get { return expressions.Count; } }
 
-    public IReadOnlyList<Expression> Expressions { get { return this.expressions; } }
+    public IReadOnlyList<Expression> Expressions { get { return expressions; } }
 
     public static PushProgram Create(IManagedPool<PushProgram> pool, IReadOnlyList<Expression> expressions) {
@@ -152,5 +152,5 @@
         return true;
 
-      if (this.GetType() != obj.GetType())
+      if (GetType() != obj.GetType())
         return false;
 
@@ -168,5 +168,5 @@
 
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      interpreter.ExecStack.Push(this.expressions);
+      interpreter.ExecStack.Push(expressions);
       return true;
     }
@@ -184,5 +184,5 @@
       get
       {
-        return this.IsEmpty
+        return IsEmpty
             ? 1
             // + 1 because "this" is also counted
@@ -192,5 +192,5 @@
 
     public IEnumerable<Expression> DepthLast() {
-      foreach (var expr in this.expressions) {
+      foreach (var expr in expressions) {
         if (expr.IsProgram)
           foreach (var sub in ((PushProgram)expr).DepthLast())
@@ -226,5 +226,5 @@
 
     public IList<Expression> CopyExpressions() {
-      return new List<Expression>(this.expressions);
+      return new List<Expression>(expressions);
     }
 
@@ -233,5 +233,5 @@
 
       var copy = expressionListPool.Get();
-      copy.AddRange(this.expressions);
+      copy.AddRange(expressions);
 
       return copy;
@@ -241,5 +241,5 @@
       var maxDepth = 1;
       for (var i = 0; i < Count; i++) {
-        var expression = this.expressions[i];
+        var expression = expressions[i];
         if (!expression.IsProgram) continue;
         var expandExpression = (PushProgram)expression;
@@ -265,5 +265,5 @@
 
       for (var i = Count - 1; i >= 0; i--) {
-        var subExpression = this.expressions[i];
+        var subExpression = expressions[i];
 
         local_treeIndex[i] = next;
@@ -283,5 +283,5 @@
 
       for (var i = 0; i < Count; i++) {
-        hash = hash * 31 + this.expressions[i].GetHashCode();
+        hash = hash * 31 + expressions[i].GetHashCode();
       }
 
@@ -349,6 +349,6 @@
 
       return TreeIndex[mid] == index
-          ? resolver(parent, this, this.expressions[mid], mid, parentIndex)
-          : (this.expressions[mid + 1] as PushProgram).GetFromTree(index - TreeIndex[mid + 1], mid + 1,
+          ? resolver(parent, this, expressions[mid], mid, parentIndex)
+          : (expressions[mid + 1] as PushProgram).GetFromTree(index - TreeIndex[mid + 1], mid + 1,
               this, resolver);
     }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/StatefulExpression.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/StatefulExpression.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/StatefulExpression.cs	(revision 14908)
@@ -11,9 +11,9 @@
 
     protected StatefulExpression(T state) {
-      this.State = state;
+      State = state;
     }
 
     protected virtual int CalcHashCode() {
-      return this.State.GetHashCode();
+      return State.GetHashCode();
     }
 
@@ -22,5 +22,5 @@
       get
       {
-        if (stringRepresentation == null) stringRepresentation = this.State.ToString();
+        if (stringRepresentation == null) stringRepresentation = State.ToString();
         return stringRepresentation;
       }
@@ -31,11 +31,11 @@
         return true;
 
-      if (this.GetType() != obj.GetType())
+      if (GetType() != obj.GetType())
         return false;
 
       var other = (StatefulExpression<T>)obj;
 
-      return ReferenceEquals(this.State, other.State) ||
-             this.GetHashCode() == other.GetHashCode();
+      return ReferenceEquals(State, other.State) ||
+             GetHashCode() == other.GetHashCode();
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs	(revision 14908)
@@ -26,5 +26,5 @@
   public class IntegerYankDuplicateExpression : YankDuplicateExpression<long> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.IntegerStack, interpreter.IntegerStack);
+      return Eval(interpreter.IntegerStack, interpreter.IntegerStack);
     }
   }
@@ -33,5 +33,5 @@
   public class FloatYankDuplicateExpression : YankDuplicateExpression<double> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.FloatStack, interpreter.IntegerStack);
+      return Eval(interpreter.FloatStack, interpreter.IntegerStack);
     }
   }
@@ -40,5 +40,5 @@
   public class BooleanYankDuplicateExpression : YankDuplicateExpression<bool> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.BooleanStack, interpreter.IntegerStack);
+      return Eval(interpreter.BooleanStack, interpreter.IntegerStack);
     }
   }
@@ -47,5 +47,5 @@
   public class NameYankDuplicateExpression : YankDuplicateExpression<string> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.NameStack, interpreter.IntegerStack);
+      return Eval(interpreter.NameStack, interpreter.IntegerStack);
     }
   }
@@ -54,5 +54,5 @@
   public class ExecYankDuplicateExpression : YankDuplicateExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.ExecStack, interpreter.IntegerStack);
+      return Eval(interpreter.ExecStack, interpreter.IntegerStack);
     }
   }
@@ -61,5 +61,5 @@
   public class CodeYankDuplicateExpression : YankDuplicateExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.CodeStack, interpreter.IntegerStack);
+      return Eval(interpreter.CodeStack, interpreter.IntegerStack);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankExpressions.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankExpressions.cs	(revision 14908)
@@ -27,5 +27,5 @@
   public class IntegerYankExpression : YankExpression<long> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.IntegerStack, interpreter.IntegerStack);
+      return Eval(interpreter.IntegerStack, interpreter.IntegerStack);
     }
   }
@@ -34,5 +34,5 @@
   public class FloatYankExpression : YankExpression<double> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.FloatStack, interpreter.IntegerStack);
+      return Eval(interpreter.FloatStack, interpreter.IntegerStack);
     }
   }
@@ -41,5 +41,5 @@
   public class BooleanYankExpression : YankExpression<bool> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.BooleanStack, interpreter.IntegerStack);
+      return Eval(interpreter.BooleanStack, interpreter.IntegerStack);
     }
   }
@@ -48,5 +48,5 @@
   public class NameYankExpression : YankExpression<string> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.NameStack, interpreter.IntegerStack);
+      return Eval(interpreter.NameStack, interpreter.IntegerStack);
     }
   }
@@ -55,5 +55,5 @@
   public class ExecYankExpression : YankExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.ExecStack, interpreter.IntegerStack);
+      return Eval(interpreter.ExecStack, interpreter.IntegerStack);
     }
   }
@@ -62,5 +62,5 @@
   public class CodeYankExpression : YankExpression<Expression> {
     public override bool Eval(IInternalPushInterpreter interpreter) {
-      return this.Eval(interpreter.CodeStack, interpreter.IntegerStack);
+      return Eval(interpreter.CodeStack, interpreter.IntegerStack);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Interpreter/PushInterpreter.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Interpreter/PushInterpreter.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Interpreter/PushInterpreter.cs	(revision 14908)
@@ -241,5 +241,5 @@
 
       IsPaused = false;
-      this.Run();
+      Run();
     }
 
@@ -360,5 +360,5 @@
 
     private Task InterpretAsync() {
-      currentTask = Task.Run(() => this.Run());
+      currentTask = Task.Run(() => Run());
 
       return currentTask;
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/BenchmarkSuitePushSolutionView.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/BenchmarkSuitePushSolutionView.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/BenchmarkSuitePushSolutionView.cs	(revision 14908)
@@ -37,16 +37,16 @@
 
     ~BenchmarkSuitePushSolutionView() {
-      this.interpreter.Dispose();
+      interpreter.Dispose();
     }
 
     private void InitEvents() {
-      this.exampleComboBox.SelectedIndexChanged += this.SelectedExampleIndexChanged;
-      this.pushDebugger.OnReset += this.PushDebuggerReset;
+      exampleComboBox.SelectedIndexChanged += SelectedExampleIndexChanged;
+      pushDebugger.OnReset += PushDebuggerReset;
     }
 
     private void PushDebuggerReset(object sender, IPushInterpreter interpreter) {
-      if (this.exampleComboBox.SelectedIndex < 0) return;
-
-      var example = Evaluator.Data.Examples[this.exampleComboBox.SelectedIndex];
+      if (exampleComboBox.SelectedIndex < 0) return;
+
+      var example = Evaluator.Data.Examples[exampleComboBox.SelectedIndex];
 
       interpreter.BooleanStack.Push(example.InputBoolean);
@@ -62,5 +62,5 @@
 
     private void SelectedExampleIndexChanged(object sender, EventArgs e) {
-      this.pushDebugger.ResetDebugging();
+      pushDebugger.ResetDebugging();
     }
 
@@ -80,29 +80,29 @@
 
     protected override void OnContentChanged() {
-      if (this.Content == null) return;
-
-      this.Name = "Push Solution";
-      this.nameTextBox.Text = this.Name;
-
-      this.pool = new PushInterpreterPool(this.Content.Config);
-
-      if (this.interpreter != null) {
-        this.interpreter.Dispose();
-      }
-
-      this.interpreter = this.pool.Create(this.Content.Random);
-      this.UpdateExamples(Evaluator.Data);
-
-      if (this.exampleComboBox.SelectedIndex < 0) {
-        this.exampleComboBox.SelectedIndex = 0; // Triggers ResetDebugging via event
-      }
-
-      this.InitResultGrid();
-      this.pushDebugger.Content = this.Content;
+      if (Content == null) return;
+
+      Name = "Push Solution";
+      nameTextBox.Text = Name;
+
+      pool = new PushInterpreterPool(Content.Config);
+
+      if (interpreter != null) {
+        interpreter.Dispose();
+      }
+
+      interpreter = pool.Create(Content.Random);
+      UpdateExamples(Evaluator.Data);
+
+      if (exampleComboBox.SelectedIndex < 0) {
+        exampleComboBox.SelectedIndex = 0; // Triggers ResetDebugging via event
+      }
+
+      InitResultGrid();
+      pushDebugger.Content = Content;
     }
 
     private void InitResultGrid() {
-      this.resultsDataGrid.Columns.Clear();
-      this.resultsDataGrid.Rows.Clear();
+      resultsDataGrid.Columns.Clear();
+      resultsDataGrid.Rows.Clear();
 
       var cellTemplate = new DataGridViewTextBoxCell();
@@ -118,5 +118,5 @@
 
         column.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
-        this.resultsDataGrid.Columns.Add(column);
+        resultsDataGrid.Columns.Add(column);
       }
 
@@ -139,6 +139,6 @@
         outputColumn.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
 
-        this.resultsDataGrid.Columns.Add(estimatedOutputColumn);
-        this.resultsDataGrid.Columns.Add(outputColumn);
+        resultsDataGrid.Columns.Add(estimatedOutputColumn);
+        resultsDataGrid.Columns.Add(outputColumn);
       }
 
@@ -158,8 +158,8 @@
       relativeDiffColumn.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
 
-      this.resultsDataGrid.Columns.Add(absoluteDiffColumn);
-      this.resultsDataGrid.Columns.Add(relativeDiffColumn);
-
-      using (var pushInterpreter = this.pool.Create(this.Content.Random)) {
+      resultsDataGrid.Columns.Add(absoluteDiffColumn);
+      resultsDataGrid.Columns.Add(relativeDiffColumn);
+
+      using (var pushInterpreter = pool.Create(Content.Random)) {
         for (var i = 0; i < data.Examples.Length; i++) {
           var example = data.Examples[i];
@@ -169,5 +169,5 @@
 
           row.HeaderCell.Value = row.Index + 1;
-          row.CreateCells(this.resultsDataGrid);
+          row.CreateCells(resultsDataGrid);
 
           for (var j = 0; j < data.InputArgumentTypes.Length; j++) {
@@ -177,5 +177,5 @@
           for (var j = 0; j < data.OutputArgumentTypes.Length; j++) {
             row.Cells[data.InputArgumentTypes.Length + j * 2].Value = ViewHelper.StringifyOutput(data.OutputArgumentTypes[j], example, Separator);
-            row.Cells[data.InputArgumentTypes.Length + j * 2 + 1].Value = this.StringifyResult(data.OutputArgumentTypes[j], pushInterpreter, example, Separator);
+            row.Cells[data.InputArgumentTypes.Length + j * 2 + 1].Value = StringifyResult(data.OutputArgumentTypes[j], pushInterpreter, example, Separator);
           }
 
@@ -183,5 +183,5 @@
           row.Cells[data.TotalArgumentCount + 2].Value = relativeDiff + "%";
 
-          this.resultsDataGrid.Rows.Add(row);
+          resultsDataGrid.Rows.Add(row);
           pushInterpreter.Reset();
         }
@@ -192,8 +192,8 @@
       switch (type) {
         case ExampleArgumentType.Integer:
-        case ExampleArgumentType.IntegerVector: return interpreter.IntegerStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.IntegerStack.Peek(this.GetCount(interpreter.IntegerStack, example.OutputInteger)));
+        case ExampleArgumentType.IntegerVector: return interpreter.IntegerStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.IntegerStack.Peek(GetCount(interpreter.IntegerStack, example.OutputInteger)));
 
         case ExampleArgumentType.Float:
-        case ExampleArgumentType.FloatVector: return interpreter.FloatStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.FloatStack.Peek(this.GetCount(interpreter.FloatStack, example.OutputFloat)).Select(d => d.ToString(CultureInfo.CurrentUICulture)));
+        case ExampleArgumentType.FloatVector: return interpreter.FloatStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.FloatStack.Peek(GetCount(interpreter.FloatStack, example.OutputFloat)).Select(d => d.ToString(CultureInfo.CurrentUICulture)));
 
         case ExampleArgumentType.Boolean: return interpreter.BooleanStack.IsEmpty ? EmptySign : interpreter.BooleanStack.Top.ToString();
@@ -201,5 +201,5 @@
 
         case ExampleArgumentType.String:
-        case ExampleArgumentType.StringVector: return interpreter.StringStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.StringStack.Peek(this.GetCount(interpreter.StringStack, example.OutputString)));
+        case ExampleArgumentType.StringVector: return interpreter.StringStack.IsEmpty ? EmptySign : string.Join(valueSeparator, interpreter.StringStack.Peek(GetCount(interpreter.StringStack, example.OutputString)));
         default: return string.Empty;
       }
@@ -211,5 +211,5 @@
 
     private void UpdateExamples(ProblemData data) {
-      this.exampleComboBox.Items.Clear();
+      exampleComboBox.Items.Clear();
       if (data == null) return;
 
@@ -220,5 +220,5 @@
 
       foreach (var str in stringRepresentations) {
-        this.exampleComboBox.Items.Add(str);
+        exampleComboBox.Items.Add(str);
       }
     }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PushBenchmarkSuiteEvaluator.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PushBenchmarkSuiteEvaluator.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/BenchmarkSuite/PushBenchmarkSuiteEvaluator.cs	(revision 14908)
@@ -69,5 +69,5 @@
 
     public void LoadData(ProblemData data) {
-      this.Data = data;
+      Data = data;
 
       DataBounds.TrainingRange.Start = 0;
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Problem/PushProblem.cs	(revision 14908)
@@ -72,6 +72,6 @@
 
     private void EnabledExpressionsChanged(object sender, EnabledExpressionsChangedEventArgs e) {
-      this.Encoding.Bounds[0, 1] = config.EnabledExpressions.Count;
-      this.Encoding.BoundsParameter.Value[0, 1] = config.EnabledExpressions.Count;
+      Encoding.Bounds[0, 1] = config.EnabledExpressions.Count;
+      Encoding.BoundsParameter.Value[0, 1] = config.EnabledExpressions.Count;
     }
 
@@ -228,5 +228,5 @@
     public IValueParameter<IntValue> MaxPointsInProgramParameter
     {
-      get { return (IValueParameter<IntValue>)this.Parameters[MaxPointsInProgramParameterName]; }
+      get { return (IValueParameter<IntValue>)Parameters[MaxPointsInProgramParameterName]; }
     }
 
@@ -250,5 +250,5 @@
     public IValueParameter<IntValue> MinPointsInProgramParameter
     {
-      get { return (IValueParameter<IntValue>)this.Parameters[MinPointsInProgramParameterName]; }
+      get { return (IValueParameter<IntValue>)Parameters[MinPointsInProgramParameterName]; }
     }
 
@@ -287,5 +287,5 @@
     public IValueParameter<BoolValue> TopLevelPushCodeParameter
     {
-      get { return (IValueParameter<BoolValue>)this.Parameters[TopLevelPushCodeParameterName]; }
+      get { return (IValueParameter<BoolValue>)Parameters[TopLevelPushCodeParameterName]; }
     }
 
@@ -305,5 +305,5 @@
     public IValueParameter<BoolValue> TopLevelPopCodeParameter
     {
-      get { return (IValueParameter<BoolValue>)this.Parameters[TopLevelPopCodeParameterName]; }
+      get { return (IValueParameter<BoolValue>)Parameters[TopLevelPopCodeParameterName]; }
     }
 
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Selector/LexicaseSelector.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Selector/LexicaseSelector.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Selector/LexicaseSelector.cs	(revision 14908)
@@ -56,5 +56,5 @@
 
     public LexicaseSelector() {
-      this.Parameters.Add(new ScopeTreeLookupParameter<DoubleArray>(
+      Parameters.Add(new ScopeTreeLookupParameter<DoubleArray>(
         PushProblem.CaseQualitiesScopeParameterName,
         "The quality of every single training case for each individual."));
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Stack/PushStack.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Stack/PushStack.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Stack/PushStack.cs	(revision 14908)
@@ -237,5 +237,5 @@
 
     public bool Remove(T item) {
-      return this.data.Remove(item);
+      return data.Remove(item);
     }
 
@@ -245,5 +245,5 @@
 
     public void Remove(int count) {
-      this.data.RemoveRange(this.Count - count, count);
+      data.RemoveRange(Count - count, count);
     }
 
